<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="btnAcrossPageName">
  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    *ngIf="objFunction.import"
    (click)="doImportData()"
    mbButtonText="{{'common.upload.upload' | translate}}"
  >
  </mb-button>
</div>

<div class="content__item content__item--border bg__content--default" (keyup.enter)="doSearch(1)">
  <search-form #searchForm [moduleName]='MODULENAME' (submitEvent)='doSearch(1)' [functionCode]="functionCode" ></search-form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>

<div class="search__result">
  <mb-table-wrap>
    <div class='headerTableSelect' *ngIf='objFunction.approve'>
      <mb-button
        (click)='approveAll()'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'staffManager.label.approveAll' | translate}}"
        [mbButtonBgColor]="isDisabled ? mbButtonBgColor : ''"
        [mbIsDisable]='isDisabled'
      ></mb-button>
      <mb-button
        *ngIf='listDraftId.length > 0'
        (click)='approveByList()'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'staffManager.label.approve' | translate}}"
      ></mb-button>
      <mb-button
        *ngIf='listDraftId.length > 0'
        (click)='openRejectByList()'
        mbButtonSize='MEDIUM'
        mbButtonAvailableStyle='BtnCancelHasBorder'
        mbButtonText="{{'staffManager.label.reject' | translate}}"
      ></mb-button>
    </div>
    <div>
      <p *ngIf='listDraftId.length > 0' style='margin: 0'>{{'staffManager.label.selected' | translate}}
        : {{listDraftId.length}}</p>
    </div>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='searchResult'
    ></mb-table>
  </mb-table-wrap>
</div>

<app-import-common [showContent]='isImportData'
                   (onCloseModal)='doCloseImport($event)'
                   [urlApiDownloadTemp]='urlApiDownloadTemp'
                   [urlApiImport]='urlApiImport'>
</app-import-common>

<ng-template #actionTmpl let-status='status' let-draftEducationProcessId='draftEducationProcessId'>
  <em nz-icon
     class="menu__item--btn"
     nz-button
     [nzDisabled]="status === CONSTANT_STATUS.IS_APPROVE"
     [ngStyle]="status === CONSTANT_STATUS.IS_APPROVE ? {cursor: 'not-allowed', color: disabledColor}: {}"
     nzType="more"
     nzTheme="outline"
     nzTrigger="click"
     nz-dropdown
     [nzDropdownMenu]="menu"
  ></em>
  <nz-dropdown-menu #menu='nzDropdownMenu'>
    <ul nz-menu style="width: 150px !important; padding: 0">
      <li
        *ngIf='objFunction.approve'
        nz-button
        nz-menu-item
        style="padding: 0 20px"
        (click)='approveById(draftEducationProcessId)'
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'staffManager.label.approve' | translate}}</span>
        </div>
      </li>
      <li
        *ngIf='objFunction.approve'
        nz-menu-item
        nz-button
        style="padding: 0 20px"
        [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE || status === CONSTANT_STATUS.IS_NOT_APPROVE'
        (click)='openRejectById(draftEducationProcessId,status)'
      >
        <div class="menu__item">
          <em nz-icon nzType="close" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'staffManager.label.isNotApprove' | translate}}</span>
        </div>
      </li>
      <li
        *ngIf='objFunction.approve'
        nz-button
        nz-menu-item
        style="padding: 0 20px"
        (click)='deleteDraft(draftEducationProcessId)'
      >
        <div class="menu__item">
          <em nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'staffManager.table.action.delete' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</ng-template>

<app-reject-common
  [urlRejectById]='urlRejectById'
  [urlRejectByList]='urlRejectByList'
  [isReject]='isReject'
  [listDraftId]='listDraftId'
  [isRejectList]='isRejectList'
  [id]='id'
  (onCloseModal)='doCloseReject()'
  (resetListDraftId)='resetListDraftId()'
>
</app-reject-common>

<ng-template #statusTmpl let-status='status'>
  <nz-tag class='initialStatus' [nzColor]='tagInitializeColor' *ngIf='status === 0 || !status'>{{ getStatus(status ?? 0)}}</nz-tag>
  <nz-tag class='approveStatus' [nzColor]='tagApprovedColor' *ngIf='status === 1'>{{ getStatus(status) }}</nz-tag>
  <nz-tag class='notApproveStatus' [nzColor]='tagNotApprovedColor' *ngIf='status === 2'>{{ getStatus(status) }}</nz-tag>
</ng-template>

<ng-template #selectTmpl let-status='status' let-draftEducationProcessId='draftEducationProcessId'
             let-employeeCode='employeeCode'>
  <input type='checkbox' [value]='draftEducationProcessId' [checked]='listDraftId.indexOf(draftEducationProcessId) > -1'
         (change)='onCheckChange($event,status,employeeCode)' [disabled]='status === 1'>
</ng-template>

<ng-template #attachFileTmpl let-attachFileList='attachFileList' >
  <div *ngFor="let file of attachFileList">
    <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
  </div>
</ng-template>

